PO4A-NORMALIZE(1p)

NOME
po4a-normalize - normalizar um ficheiro de documentação, analisando-o em po4a, e escrevê-lo de volta

SINOPSE
po4a-normalize -f fmt master.doc

DESCRIÇÃO
O objetivo do projeto po4a (PO para tudo) é facilitar traduções (e mais interessante, a manutenção das traduções) usando ferramentas gettext em áreas onde eles não eram esperados como documentação.

O script po4a-normalize é uma ferramenta de depuração usada para se certificar de que o po4a não altera o documento quando não deveria. Usá-lo apenas se estiver no desenvolvimento de um novo módulo, ou se duvidar da sanidade das ferramentas.

O documento gerado será escrito para po4a-normalize.output enquanto o ficheiro PO gerado será escrito em po4a-normalize.po. Não há maneira de mudar isso ;)

OPÇÕES

-o, --option
    Opção(s) extra para passar para o formato em modo de extensão. Especificar cada opção no formato 'name=value'. Consulte a documentação de cada modo de extenção para mais informações sobre as opções válidas e seus significados.

-b, --blank
    Criar um documento em branco traduzido. O documento gerado traduzido vai ser gerado assumindo que todas as mensagens são traduzidas por um espaço ou nova linha.

    isto é útil para verificar que partes do documento não podem ser traduzidas.

-h, --help
    Mostrar uma pequena mensagem de ajuda.

--help-format
    Lista os formatos de documentação compreendidos por po4a.

-f, --format
    O formato da documentação que pretende processar. Use a opção --help-format para ver a lista de formatos disponíveis.

-M, --master-charset
    Conjunto de carateres do ficheiro que contém o documento a traduzir.

-V, --version
    Mostrar a versão do script e sair

VER TAMBÉM
po4a-gettextize(1), po4a-translate(1), po4a-updatepo(1), po4a(7)

AUTORES
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

DIREITOS DE AUTOR E LICENÇA
Direitos de Autor 2002-2012 por SPI, inc.

Este programa é software livre, você pode redistribuí-lo e/ou modificá-lo sob os termos da GPL (consulte o ficheiro CÓPIA).